POST
/greengrass/v2/deployments/{deploymentId}/cancel
http://greengrass.{region}.amazonaws.com/greengrass/v2/deployments/{deploymentId}/cancelCancels a deployment. This operation cancels the deployment for devices that haven't yet received it. If a device already received the deployment, this operation doesn't change anything for that device.
Access Token Required: API Key
Path Parameters
deploymentIdstringrequired
The ID of the deployment.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/deployments/{deploymentId}/cancel' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}